"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupJQuery = exports.pageExtend = void 0;
const puppeteer_1 = require("puppeteer");
const jQueryPlugin_1 = require("./jQueryPlugin");
const common_1 = require("./common");
/**
 * add JQueryAble Mixin to a Page
 * @param page
 * @returns
 */
function pageExtend(page) {
    common_1.applyMixins(page, [jQueryPlugin_1.JQueryAble]);
    return page;
}
exports.pageExtend = pageExtend;
/**
 * launch a puppeter with preloaded jQuery
 * @param options LaunchOptions & BrowserLaunchArgumentOptions & BrowserConnectOptions
 * @returns
 */
async function setupJQuery(options) {
    if (!options)
        options = { headless: true };
    let browser = await puppeteer_1.launch(options);
    let page = await browser.newPage();
    pageExtend(page);
    return browser;
}
exports.setupJQuery = setupJQuery;
